> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Upload



## OpenAPI

````yaml /api-reference/openapi.json post /v1/assets/upload-url
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/assets/upload-url:
    post:
      tags:
        - assets
      summary: Request Upload
      operationId: request_upload_v1_assets_upload_url_post
      parameters:
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssetUploadRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetUploadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AssetUploadRequest:
      properties:
        kind:
          type: string
          pattern: ^(image|font|audio|video|logo)$
          title: Kind
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        content_type:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Content Type
        size_bytes:
          anyOf:
            - type: integer
              maximum: 200000000
              minimum: 0
            - type: 'null'
          title: Size Bytes
      type: object
      required:
        - kind
      title: AssetUploadRequest
    AssetUploadResponse:
      properties:
        asset_id:
          type: string
          format: uuid
          title: Asset Id
        bucket:
          type: string
          title: Bucket
        path:
          type: string
          title: Path
        upload:
          additionalProperties: true
          type: object
          title: Upload
      type: object
      required:
        - asset_id
        - bucket
        - path
        - upload
      title: AssetUploadResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````